<?php /** @noinspection PhpUnused */

use JetBrains\PhpStorm\NoReturn;

class dropimagethumb extends dropimagefile {

	#[NoReturn] public static function getById(int $id): ?array {
		$img=dropimage::getById($id);
		$file=fopen($img['imagestorepath'].$img['thumbnailpath'],'rb');
		header('Content-Type: image/jpeg');
		fpassthru($file);
		fclose($file);
		exit;
	}

}